> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/akash-akt/rest-api/auth-params.md).

# /cosmos/auth/v1beta1/params - Akash

Example code for the cosmos/auth/v1beta1/params REST method. Complete guide on how to use cosmos/auth/v1beta1/params REST method in GetBlock Web3 documentation.

Returns the auth module parameters, such as max memo characters and signature limits.

## Endpoint

```
GET /cosmos/auth/v1beta1/params
```

## Example

{% code overflow="wrap" %}

```bash
export AKASH_REST=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${AKASH_REST}cosmos/auth/v1beta1/params"
```

{% endcode %}

## Response

```json
{
    "params": {
        "max_memo_characters": "256",
        "tx_sig_limit": "7",
        "tx_size_cost_per_byte": "10",
        "sig_verify_cost_ed25519": "590",
        "sig_verify_cost_secp256k1": "1000"
    }
}
```

## Response Fields

| Field  | Type   | Description     |
| ------ | ------ | --------------- |
| params | object | Auth parameters |

## Use Cases

* **Validation**: Read tx size and signature limits

## Error Handling

| Error                     | Message       | Description                                       |
| ------------------------- | ------------- | ------------------------------------------------- |
| 400 / Bad request         | Bad request   | A parameter was invalid                           |
| 403 / RBAC: access denied | Access denied | The GetBlock access token is missing or incorrect |
